osmoradio(1)

NAME
osmoradio - http://osmocom-analog.eversberg.eu/docs/

SYNOPSIS
osmoradio --sdr-soapy|--sdr-uhd <sdr options> -f <frequency> -M <modulation> -R|-T [options]

  options:

-h --help

    This help

--config [~/]<path to config file>

    Give a config file to use. If it starts with '~/', path is at home dir. Each line in config file is one option, '-' or '--' must not be given!

-f --frequency <frequency>

    Give frequency in Hertz.

-s --samplerate <sample rate>

    Give signal processing sample rate in Hz. (default = 100000) This sample rate must be high enough for the signal's spectrum to fit. I will inform you, if this bandwidth is too low.

-r --tx-wave-file <filename>

    Input transmitted audio from wave file

-w --rx-wave-file <filename>

    Output received audio to wave file

-a --audio-device hw:<card>,<device>

    Input audio from sound card's device number

-M --modulation fm | am | usb | lsb

    fm = Frequency modulation to be used for VHF. am = Amplitude modulation to be used for long/medium/short wave. usb = Amplitude modulation with upper side band only. lsb = Amplitude modulation with lower side band only.

-R --rx

    Receive radio signal.

-T --tx

    Transmit radio signal.

-B --bandwidth

    Give bandwidth of audio frequency. (default AM=4500 FM=15000)

-D --deviation

    Give deviation of frequency modulated signal. (default 75000)

-I --modulation-index 0..1

    Give modulation index of amplitude modulated signal. (default 1)

-E --emphasis <uS> | 0

    Use given time constant of pre- and de-emphasis for frequency modulation. Give 0 to disable emphasis. (default = 50 uS) VHF broadcast 50 uS in Europe and 75 uS in the United States. Other radio FM should use 530 uS, to cover complete speech spectrum.

-V --volume 1.000

    Change volume of radio side. (Gains transmission, dampens reception)

-S --stereo

    Enables stereo carrier for frequency modulated UHF broadcast. It uses the 'Pilot-tone' system.

--fast-math

    Use fast math approximation for slow CPU / ARM based systems.

--limesdr

    Auto-select several required options for LimeSDR

--limesdr-mini

    Auto-select several required options for LimeSDR Mini

  SDR options:

--sdr-soapy

    Force SoapySDR driver

--sdr-channel <channel #>

    Give channel number for multi channel SDR device (default = 0)

--sdr-device-args <args>

--sdr-stream-args <args>

--sdr-tune-args <args>

    Optional SDR device arguments, separated by comma e.g. --sdr-device-args <key>=<value>[,<key>=<value>[,...]]

--sdr-samplerate <samplerate>

    Sample rate to use with SDR. By default it equals the regular sample rate.

--sdr-lo-offset <Hz>

    Give frequency offset in Hz to move the local oscillator away from the target frequency. (default = -1000000)

--sdr-bandwidth <bandwidth>

    Give IF filter bandwidth to use. If not, sample rate is used.

--sdr-rx-antenna <name>

    SDR device's RX antenna name, use 'list' to get a list

--sdr-tx-antenna <name>

    SDR device's TX antenna name, use 'list' to get a list

--sdr-clock-source <name>

    SDR device's clock sourc name, use 'list' to get a list

--sdr-rx-gain <gain>

    SDR device's RX gain in dB (default = 0.0)

--sdr-tx-gain <gain>

    SDR device's TX gain in dB (default = 0.0)

--write-iq-rx-wave <file>

    Write received IQ data to given wave file.

--write-iq-tx-wave <file>

    Write transmitted IQ data to given wave file.

--read-iq-rx-wave <file>

    Replace received IQ data by given wave file.

--read-iq-tx-wave <file>

    Replace transmitted IQ data by given wave file.

--sdr-swap-links

    Swap RX and TX frequencies for loopback tests over the air.

--sdr-timestamps 1 | 0

    Use TX timestamps on UHD device. (default = 1)